using HotelContracts.BindingModels;
using HotelContracts.BusinessLogicsContracts;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;

namespace HotelBusinessLogic.BusinessLogics
{
    public class MealPlanLogic : IMealPlanLogic
    {
        public bool Create(MealPlanBindingModel model)
        {
            throw new NotImplementedException();
        }

        public bool Delete(MealPlanBindingModel model)
        {
            throw new NotImplementedException();
        }

        public MealPlanViewModel? ReadElement(MealPlanSearchModel model)
        {
            throw new NotImplementedException();
        }

        public List<MealPlanViewModel>? ReadList(MealPlanSearchModel? model)
        {
            throw new NotImplementedException();
        }

        public bool Update(MealPlanBindingModel model)
        {
            throw new NotImplementedException();
        }
    }
}
